Subject: bug#895: slow processing of process output on Mac

From: mh origin <[email-masked]>
Date: Tue, 21 Feb 2012 17:05:48 -0500

I see this with matlab-shell, when trying to tab-complete, in Emacs 23 and
emacs 24 on the Mac, both on Lion and on Snow Leopard.  I fired this up in
the debugger and it looks like it gets stuck on a system call but I'm
afraid I couldn't figure out any more than that.

At first start, Matlab returns completions just fine, but after about an
hour it starts hanging when tab is pressed.

The function called on completion is here:
https://github.com/ruediger/matlab-emacs/blob/master/matlab.el#L4831

And the accept-process-output call that hangs is here:
https://github.com/ruediger/matlab-emacs/blob/master/matlab.el#L5304

I'm using Emacs 24.0.93 from here:
http://emacsformacosx.com/emacs-builds/Emacs-pretest-24.0.93-universal-10.6.8.dmg

Can I do anything else to help people track this down?